Skip to main content
POST
/
sites
/
{id}
/
rollback
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.deployments.rollback({
    id: "<id>",
  });

  console.log(result);
}

run();
curl --request POST \
--url https://api.crevio.co/v1/sites/{id}/rollback \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"deployment_id": "<string>"
}
'
import requests

url = "https://api.crevio.co/v1/sites/{id}/rollback"

payload = { "deployment_id": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({deployment_id: '<string>'})
};

fetch('https://api.crevio.co/v1/sites/{id}/rollback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "commit_sha": "<string>",
  "is_live": true,
  "url": "<string>",
  "triggered_by": "<string>",
  "error_message": "<string>",
  "duration_seconds": 123,
  "started_at": "<string>",
  "finished_at": "<string>",
  "created_at": "<string>"
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}
{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Body

application/json
deployment_id
string

Id of a specific deployment to roll back to (e.g. "dpl_abc123"), from the deploy history. Omit to roll back to the previous shipped deployment.

Response

The queued rollback deployment

id
string
required
object
string
required
status
enum<string>
required
Available options:
pending,
building,
live,
failed,
superseded,
unpublished
commit_sha
string | null
required
is_live
boolean
required
url
string | null
required
triggered_by
string | null
required
error_message
string | null
required
duration_seconds
number | null
required
started_at
string | null
required
finished_at
string | null
required
created_at
string
required